commit:     f63d257a56b2c0dace40555cc527e77ed99c42f9
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 21 14:47:38 2020 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 21 14:48:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f63d257a

net-im/zoom: Backport ebuild changes to previous version.

zoom-5.4.53391.1108 is the last version with x86 support.

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 net-im/zoom/files/zoom-videocam.svg                |  4 ---
 net-im/zoom/files/zoom-videocam.xpm                | 32 --------------------
 ...1.1108.ebuild => zoom-5.4.53391.1108-r1.ebuild} | 35 ++++++++++++++--------
 3 files changed, 23 insertions(+), 48 deletions(-)

diff --git a/net-im/zoom/files/zoom-videocam.svg 
b/net-im/zoom/files/zoom-videocam.svg
deleted file mode 100644
index 33e4ac77b9f..00000000000
--- a/net-im/zoom/files/zoom-videocam.svg
+++ /dev/null
@@ -1,4 +0,0 @@
-<svg xmlns="http://www.w3.org/2000/svg"; width="24" height="24" viewBox="0 0 24 
24">
-  <rect width="24" height="24" rx="6" ry="6" fill="#2d8cff"/>
-  <path d="M17 10.5V7c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 
1h12c.55 0 1-.45 1-1v-3.5l4 4v-11l-4 4z" fill="#ffffff"/>
-</svg>

diff --git a/net-im/zoom/files/zoom-videocam.xpm 
b/net-im/zoom/files/zoom-videocam.xpm
deleted file mode 100644
index 380e86f2cc2..00000000000
--- a/net-im/zoom/files/zoom-videocam.xpm
+++ /dev/null
@@ -1,32 +0,0 @@
-/* XPM */
-static char * zoom_videocam_xpm[] = {
-"24 24 5 1",
-"      c None",
-".     c #2D8CFF",
-"+     c #469AFF",
-"@     c #E3F0FF",
-"#     c #FFFFFF",
-"    ................    ",
-"  ....................  ",
-" ...................... ",
-" ...................... ",
-"........................",
-"........................",
-"...##############...+...",
-"...##############..+@...",
-"...##############.+@#...",
-"...##############+@##...",
-"...##############@###...",
-"...##################...",
-"...##################...",
-"...##############@###...",
-"...##############+@##...",
-"...##############.+@#...",
-"...##############..+@...",
-"...##############...+...",
-"........................",
-"........................",
-" ...................... ",
-" ...................... ",
-"  ....................  ",
-"    ................    "};

diff --git a/net-im/zoom/zoom-5.4.53391.1108.ebuild 
b/net-im/zoom/zoom-5.4.53391.1108-r1.ebuild
similarity index 69%
rename from net-im/zoom/zoom-5.4.53391.1108.ebuild
rename to net-im/zoom/zoom-5.4.53391.1108-r1.ebuild
index b6642189422..3d3b63c3854 100644
--- a/net-im/zoom/zoom-5.4.53391.1108.ebuild
+++ b/net-im/zoom/zoom-5.4.53391.1108-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit desktop eutils readme.gentoo-r1 xdg-utils
+inherit desktop eapi8-dosym readme.gentoo-r1 wrapper xdg-utils
 
 DESCRIPTION="Video conferencing and web conferencing service"
 HOMEPAGE="https://zoom.us/";
@@ -11,7 +11,7 @@ SRC_URI="amd64? ( 
https://zoom.us/client/${PV}/${PN}_x86_64.tar.xz -> ${P}_x86_6
        x86? ( https://zoom.us/client/${PV}/${PN}_i686.tar.xz -> 
${P}_i686.tar.xz )"
 S="${WORKDIR}/${PN}"
 
-LICENSE="all-rights-reserved Apache-2.0" # Apache-2.0 for icon
+LICENSE="all-rights-reserved"
 SLOT="0"
 KEYWORDS="-* ~amd64 ~x86"
 IUSE="bundled-libjpeg-turbo pulseaudio"
@@ -48,12 +48,18 @@ RDEPEND="!games-engines/zoom
        pulseaudio? ( media-sound/pulseaudio )
        !pulseaudio? ( media-libs/alsa-lib )"
 
-BDEPEND="!pulseaudio? ( dev-util/bbe )"
+BDEPEND="dev-util/bbe"
 
 QA_PREBUILT="opt/zoom/*"
 
 src_prepare() {
        default
+
+       # The tarball doesn't contain an icon, so extract it from the binary
+       bbe -s -b '/<svg width="32"/:/<\x2fsvg>\n/' -e 'J 1;D' zoom \
+               >zoom-videocam.svg && [[ -s zoom-videocam.svg ]] \
+               || die "Extraction of icon failed"
+
        if ! use pulseaudio; then
                # For some strange reason, zoom cannot use any ALSA sound 
devices if
                # it finds libpulse. This causes breakage if 
media-sound/apulse[sdk]
@@ -69,23 +75,20 @@ src_install() {
        doins -r json ringtone sip timezones translations
        doins *.pcm *.pem *.sh Embedded.properties version.txt
        doexe zoom zoom.sh zopen ZoomLauncher
-       dosym {"../../usr/$(get_libdir)",/opt/zoom}/libmpg123.so
-       dosym {"../../usr/$(get_libdir)",/opt/zoom}/libquazip.so
+       dosym8 -r {"/usr/$(get_libdir)",/opt/zoom}/libmpg123.so
+       dosym8 -r {"/usr/$(get_libdir)",/opt/zoom}/libquazip.so
 
        if use bundled-libjpeg-turbo; then
                doexe libturbojpeg.so
        else
-               dosym {"../../usr/$(get_libdir)",/opt/zoom}/libturbojpeg.so 
#715106
+               dosym8 -r {"/usr/$(get_libdir)",/opt/zoom}/libturbojpeg.so
        fi
 
-       make_wrapper zoom ./zoom /opt/zoom
+       make_wrapper zoom /opt/zoom{/zoom,}
        make_desktop_entry "zoom %U" Zoom zoom-videocam "" \
                "MimeType=x-scheme-handler/zoommtg;application/x-zoom;"
-       # The tarball doesn't contain an icon, so take a generic camera icon
-       # from https://github.com/google/material-design-icons, modified to be
-       # white on a blue background
-       doicon -s scalable "${FILESDIR}"/zoom-videocam.svg
-       doicon -s 24 "${FILESDIR}"/zoom-videocam.xpm
+       doicon zoom-videocam.svg
+       doicon -s scalable zoom-videocam.svg
        readme.gentoo_create_doc
 }
 
@@ -98,6 +101,14 @@ pkg_postinst() {
                ver_test ${v} -le 5.0.403652.0509 && FORCE_PRINT_ELOG=1
        done
        readme.gentoo_print_elog
+
+       if use bundled-libjpeg-turbo; then
+               ewarn "If the \"bundled-libjpeg-turbo\" flag is enabled, you 
may see a"
+               ewarn "QA notice about insecure RPATHs in the libturbojpeg.so 
library"
+               ewarn "bundled with the upstream package. Please report this 
problem"
+               ewarn "directly to Zoom upstream. Do *not* file a Gentoo bug 
for it."
+               ewarn "See https://bugs.gentoo.org/715106 for further details."
+       fi
 }
 
 pkg_postrm() {

Reply via email to